Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We are getting internal requests for the ability to set the various issue statuses (states, statii?) that map into 'Issue Closed' on a

per-project basis.

Currently the issue statuses mapping affects all projects in the redmine instance. Our development projects have different status

models, and this change would allow developers to use the status model that fits their workflow.

Example:

Project A would like the following:

Status      Default value    Issue closed

New              X

Assigned

Resolved                     X

Feedback

Closed                       X

Rejected                     X

 Project B would like the following:

Status      Default value    Issue closed

New              X

Assigned

Resolved

Feedback

Closed                       X

Rejected                     X

 I've looked through the feature requests and plugins and haven't seen anything that  enables this. Enlightenment requested if I'm

blind.

Related issues:

Related to Redmine - Feature #973: Assign different status sets and workflows... New 2008-04-02

History

#1 - 2012-02-27 23:50 - Terence Mill

+1

#2 - 2012-03-01 17:16 - Etienne Massip

- Category set to Issues workflow

#3 - 2012-03-02 21:59 - Joshua Stein

+1

#4 - 2012-03-04 17:53 - Terence Mill

sorry, but i set my +1 wrong.
It doesn't make sense to have close status per project but per tracker. At the moment you can define workflow per tracker but only one start and end

state for all trackers.

+1 for optionally own start and end state per tracker not per project

#5 - 2013-01-12 19:21 - Daniel Felix

This relates to #973.

Maybe it could be closed as duplicate? If the whole functionality of #973 getting implemented, he should be able to implement this!
